# Firstup API

<div style="border:1px solid #D9D6FE; background:linear-gradient(180deg, #F8F6FF 0%, #F3F0FF 100%); color:#24124d; padding:18px 20px; border-radius:14px; margin:20px 0; box-shadow:0 6px 20px rgba(56, 28, 117, 0.08);"> <strong style="display:block; font-size:16px; margin-bottom:8px;">What’s new</strong> <p style="margin:0 0 8px 0;">A quick summary of the latest API changes in version <strong>2026-05-01</strong>:</p> <ul style="margin:0 0 8px 20px; padding:0;">
 <li>New <code>web_homepage</code> feed endpoint</li>
 <li>New attachment redirect endpoint for signed downloads</li>
 <li>New <code>Reactions.Fields</code> response schema</li>
 <li>Feed post and content responses now include reaction fields</li>
</ul> <a href="https://developers.firstup.io/versionchange/changelog">See the full changelog →</a> </div>

 <b>API Concepts and Overview</b> <br></br> <p>Each API concept can be found
 in our Docs; we give an overview of each API, the expected behavior and what
 is possible. </p>

 <p>Technical details are found in this reference, but some complex
 technicalities are further explained in our docs. </p>  <p>Further technical
 guidance on SCIM patching, pagination and filtering can be found in our
 docs:</p>
       <ul>
     <li><a href="/usermanagementapi/scim-patch-operations">SCIM patching</a></li>
     <li><a href="/gettingstarted/pagination">Pagination</a></li>
     <li><a href="/gettingstarted/filtering">Filtering</a></li>
     <li><a href="/guides">Use case examples</a></li>
   </ul>
 <b>Technical Details</b>

  From this page, you can download the OpenAPI specification for the Firstup API as a
  <b>openapi.json</b> or <b>openapi.yaml</b> file. This can be imported into tools such
  as Postman to generate a collection of test queries or converted into an SDK using
  <a href="https://swagger.io/tools/swagger-codegen/">Swagger Codegen</a>.

   {% admonition type="info" %}
  Alternatively, you can use the <a href="/gettingstarted/try_it">try it function</a>
  in this platform. In addition, select your preferred <b>language</b> for our request
  and response examples.
  {% /admonition %}

 </p> <b>Authorization</b> <br></br> <p class="code-below">
   All API endpoints use the JSON content type and require an auth token. See <a href="authorization/authenticationandauthorization">Authentication and Authorization</a> for more details on token management.
   The token and content type should be explicitly set in the request headers. For example:
 </p>

 <pre class="code">
   curl -X GET "https://partner.socialchorus.com/v2/channels" -H "accept: application/json" -H "Authorization: Bearer &lt;ACCESS TOKEN&gt;"
 </pre>


 {% admonition type="info" %}
   This example uses the US1 region server. Check your region's server [here](/authorization/authenticationandauthorization).
 {% /admonition %}


 <div class='sc-swag'>
   <b>Main API Sections</b>
   <br></br>
   <ul>
     <li><a href="/endpoints/openapi/content-publishing">Content Publishing</a></li>
     <li><a href="/endpoints/openapi/feeds">Feeds</a></li>
     <li><a href="/endpoints/openapi/user-management">User Management (SCIM)</a></li>
     <li><a href="/endpoints/openapi/user-groups">User Group Management (SCIM)</a></li>
     <li><a href="/endpoints/openapi/webhooks">Webhooks</a></li>
     <li><a href="/endpoints/openapi/assistant-inbox">Assistant Inbox</a></li>
     <li><a href="/endpoints/openapi/notification-center">Notification Center</a></li>
     <li><a href="/endpoints/openapi/user-roles">User Roles</a></li>
     <li><a href="/endpoints/openapi/user-shortcuts">User Shortcuts</a></li>
   </ul>
   <hr>
 </div>


Version: 2026-05-01

## Servers

US1
```
https://partner.socialchorus.com
```

US2
```
https://partner.us2.onfirstup.com
```

EU
```
https://partner.onfirstup.eu
```

## Security

### oauth2_as_a_server

OAuth2 for Server-to-Server (Client Credentials grant flow)

Type: oauth2
Token URL: IAM_DOMAIN/oauth/token
Scopes:
- `admin_login`: Manage groups and other sensitive information
- `public`: View public information.
- `users.read`: View and list details of users in your program.
- `users.write`: Create, view, and update users in your program.
- `groups.read`: View and list details of groups in your program.
- `groups.write`: Create, view, and update groups in your program.
- `content.read`: View and list details of content in your program.
- `content.write`: Create, view, and update content in your program.
- `content.videos.download`: Download and play videos in content posts.
- `content.replication.audit`: Read content replication status.
- `webhooks.read`: View and list details of webhook subscriptions in your program.
- `webhooks.write`: Create, view, and update webhook subscriptions in your program.
- `data_exports.read`: View and download data export files in your program.

### oauth2_as_a_user

OAuth2 for Users (Authorization Code grant flow)

Type: oauth2
Authorization URL: IAM_DOMAIN/oauth/authorize
Token URL: IAM_DOMAIN/oauth/token
Scopes:
- `admin_login`: Manage groups and other sensitive information
- `openid`: Authenticate your account using OpenID.
- `public`: View public information.
- `feeds.read`: View your feeds.
- `feeds.rendered.read`: View rendered content from feed posts.
- `feeds.engage`: View your feeds and engage with posts (likes, bookmarks, etc).
- `users.read`: View and list details of users in your program.
- `users.write`: Create, view, and update users in your program.
- `groups.read`: View and list details of groups in your program.
- `groups.write`: Create, view, and update groups in your program.
- `content.read`: View and list details of content in your program.
- `content.write`: Create, view, and update content in your program.
- `content.videos.download`: Download and play videos in content posts.
- `content.replication.audit`: Read content replication status.
- `webhooks.read`: View and list details of webhook subscriptions in your program.
- `webhooks.write`: Create, view, and update webhook subscriptions in your program.
- `assistant.inbox.read`: View and list details of your assistant inbox items.
- `notification_center`: View and list notification center items.
- `data_exports.read`: View and download data export files in your program.

## Download OpenAPI description

 - [Firstup API](https://developers.firstup.io/_bundle/endpoints/openapi.yaml)

## Content Publishing

 - [POST /v2/channels](https://developers.firstup.io/endpoints/openapi/content-publishing/createchannel.md): Creates new topic in the program. A topic holds campaigns and users, organizing content for user consumption.<br> <br> **Resources** <ul> <li><a href="https://support.firstup.io/hc/en-us/articles/4413
 - [GET /v2/channels](https://developers.firstup.io/endpoints/openapi/content-publishing/listchannels.md): Returns a list of topics and allows for sorting, filtering, and pagination of the records.<br> Response body is an array of records. <br> **Resources** <ul> <li><a href="https://support.firstup.io/hc/
 - [PUT /v2/channels/{channel_id}](https://developers.firstup.io/endpoints/openapi/content-publishing/updatechannel.md): Updates a topic in the program
 - [GET /v2/channels/{channel_id}/followers](https://developers.firstup.io/endpoints/openapi/content-publishing/listchannelfollowers.md): Returns a list of all users who follow the topic, and allows for pagination of the records.<br> Response body is an array of records.<br> **Resources** <ul> <li><a href="https://support.firstup.io/hc/
 - [GET /v2/channels/{channel_id}/pages](https://developers.firstup.io/endpoints/openapi/content-publishing/listchannelpages.md): Returns a list of custom pages associated with a topic.
 - [GET /v2/content](https://developers.firstup.io/endpoints/openapi/content-publishing/listcontent.md): Returns a list of content records and allows for sorting, filtering, and pagination of the records. This list can be used to pass into a topic.<br> Response body is an array of records.<br> **Resource
 - [POST /v2/content](https://developers.firstup.io/endpoints/openapi/content-publishing/createcontent.md): Create a new content item and select what topics will include the content. The new content will be created in the **“draft”** state. This endpoint only creates the post. If applicable, an image may b
 - [GET /v2/content/{content_id}](https://developers.firstup.io/endpoints/openapi/content-publishing/detailcontent.md): Read an existing content record. Returns a single record by identifier or by the content UUID. Upon enabling expanded reaction types, the response will include the additional reaction types.
 - [PUT /v2/content/{content_id}](https://developers.firstup.io/endpoints/openapi/content-publishing/updatecontent.md): Update an existing content record. Content can be updated in any state, but some states have different validations. Any or all of the content attributes can be provided and only those provided will be
 - [PUT /v2/content/{content_id}/archive](https://developers.firstup.io/endpoints/openapi/content-publishing/archivecontent.md): Archive an existing content post. Transition the content state from any state directly to "archived". <br><br> Response body contains the latest version of the content record.
 - [PUT /v2/content/{content_id}/draft](https://developers.firstup.io/endpoints/openapi/content-publishing/draftcontent.md): Transition the content state of an existing content post to draft. A post can be set to draft from any any current state. If the post was published or archived, it will no longer be. <br><br> Response
 - [PUT /v2/content/{content_id}/publish](https://developers.firstup.io/endpoints/openapi/content-publishing/publishcontent.md): Change the state of the content to “published.” If the content is already in the “published” state, this request does nothing. Content in a “scheduled” state remains scheduled. For all other states, t
 - [PUT /v2/content/{content_id}/review](https://developers.firstup.io/endpoints/openapi/content-publishing/reviewcontent.md): Change the state of the post to "review". The post is immediately removed from feeds. Posts that are already in "review" state will not change.
 - [GET /v2/content/{content_id}/comments](https://developers.firstup.io/endpoints/openapi/content-publishing/listcontentcomments.md): List the comments on a content post. Only top-level comments are returned. Comments which are replies to other comments are not currently available through this endpoint. Upon enabling expanded reacti
 - [GET /v2/content/{content_id}/comments/{comment_id}/replies](https://developers.firstup.io/endpoints/openapi/content-publishing/listcontentcommentreplies.md): List the replies on comment post. Upon enabling expanded reactions types, the response will include the additional reaction types. <br><br>When a comment with user mentions is returned, it will be ret
 - [PUT /v2/content/{content_id}/images](https://developers.firstup.io/endpoints/openapi/content-publishing/addcontentimage.md): Add a new image to a content record. Response body is the updated content record. This API does not resize or rehost images. Images should be appropriately sized and will be served from the provided U
 - [PUT /v2/content/{content_id}/videos](https://developers.firstup.io/endpoints/openapi/content-publishing/addcontentvideo.md): Add a new video to a content record. Response body is the attributes of the video record. Insert the returned <code>embed_html</code> into the <code>body</code> of the article at the location you want
 - [DELETE /v2/content/{content_id}/images/{content_image_id}](https://developers.firstup.io/endpoints/openapi/content-publishing/removecontentimage.md): Remove an image from a content record. Images cannot be removed from published content. Response status for removed content is 204 No Content.
 - [GET /v2/content/replications](https://developers.firstup.io/endpoints/openapi/content-publishing/listcontentreplications.md): The endpoint allow users to get details of content replication. Source or target filter is required
 - [GET /v2/videos/{video_id}/download](https://developers.firstup.io/endpoints/openapi/content-publishing/downloadcontentvideo.md): Returns a temporary link to a content video.
 - [GET /v2/content/{content_id}/reach/unique_user_count](https://developers.firstup.io/endpoints/openapi/content-publishing/contentreachcount.md): Fetch the content reach, the unique user count for audiences, topics, and both.
## Feeds

 - [GET /v2/feed/posts](https://developers.firstup.io/endpoints/openapi/feeds/listfeedposts.md): Provides a list of posts in the user’s feed. Accepts pagination and filtering parameters. Upon enabling expanded reactions types, the response will include the additional reaction types.<br> **Resourc
 - [GET /v2/feeds/web_homepage](https://developers.firstup.io/endpoints/openapi/feeds/webhomepagefeed.md): Provides a user’s homepage feed, complete with the homepage banner, user’s shortcuts and modules. This is a restricted endpoint that requires enablement. Reach out to your Firstup representative for
 - [GET /v2/feed/profile/submitted](https://developers.firstup.io/endpoints/openapi/feeds/listfeedprofilesubmitted.md)
 - [GET /v2/feed/profile/channels](https://developers.firstup.io/endpoints/openapi/feeds/listfeedprofilechannels.md)
 - [GET /v2/feed/posts/{content_id}](https://developers.firstup.io/endpoints/openapi/feeds/detailfeedpost.md): Provides the data for a single post in a user’s feed. The post must be visible to the user or a 404 Not Found response will be returned. Upon enabling expanded reactions types, the response will inclu
 - [GET /v2/feed/posts/{content_id}/engagement](https://developers.firstup.io/endpoints/openapi/feeds/detailfeedpostengagement.md): Displays the user’s engagements related to a single feed post, including a timestamp for each type of engagement; for example, a <code>liked_at</code> timestamp is present if the user has liked the po
 - [PUT /v2/feed/posts/{content_id}/like](https://developers.firstup.io/endpoints/openapi/feeds/likepost.md): Creates a "like" engagement of a specific feed post for a scoped user. The post must be visible to the user or a 404 Not Found response will be returned; for example, this would happen if the content
 - [PUT /v2/feed/posts/{content_id}/unlike](https://developers.firstup.io/endpoints/openapi/feeds/unlikepost.md): Unlikes a feed post for a scoped user. Unliking effectively removes an existing “like” engagement. The post must be visible to the user or a 404 Not Found response will be returned; for example, this
 - [PUT /v2/feed/posts/{content_id}/bookmark](https://developers.firstup.io/endpoints/openapi/feeds/bookmarkpost.md): Creates a “bookmark” engagement of a specific feed post for a scoped user. The post must be visible to the user or a 404 Not Found response will be returned; for example, this would happen if the cont
 - [PUT /v2/feed/posts/{content_id}/unbookmark](https://developers.firstup.io/endpoints/openapi/feeds/unbookmarkpost.md): Unbookmarks a feed post for a scoped user. Unbookmarking effectively removes an existing “bookmark” engagement. The post must be visible to the user or a 404 Not Found response will be returned; for e
 - [GET /v2/feed/posts/{content_id}/share/trackable_url](https://developers.firstup.io/endpoints/openapi/feeds/generatetrackableurl.md): Get the trackable URL for a feed post for a scoped user. The post must be visible to the user or a 400 bas request will be returned.
 - [PUT /v2/feed/posts/{content_id}/share](https://developers.firstup.io/endpoints/openapi/feeds/sharepost.md): Indicates that the post has been shared by a scoped user. The post must be visible to the user or a 400 bas request will be returned. `share_url` can be retrieved using `GET` <a href="/endpoints/opena
 - [PUT /v2/feed/posts/{content_id}/view](https://developers.firstup.io/endpoints/openapi/feeds/viewpost.md): Marks a specific feed post as viewed for a scoped user. Viewing is considered as the user having interacted with the content enough to qualify as at least partial consumption. The post must be visible
 - [PUT /v2/feed/posts/{content_id}/unview](https://developers.firstup.io/endpoints/openapi/feeds/unviewpost.md): Reverses a view operation on a feed post for a scoped user. Unviewing is used in cases where a view was mistakenly recorded. The post must be visible to the user or a 404 Not Found response will be re
 - [GET /v2/feed/posts/{content_id}/comments](https://developers.firstup.io/endpoints/openapi/feeds/listfeedpostcomments.md): List the comments on a content post. Only top-level comments are returned. Comments which are replies to other comments are not currently available through this endpoint. Upon enabling expanded reacti
 - [POST /v2/feed/posts/{content_id}/comments](https://developers.firstup.io/endpoints/openapi/feeds/createfeedpostcomment.md): Creates a new comment record for the content post. You may indicate a mention of a specific user by providing their `user_id` in the format of either `{ref:user:<user_id>}` or `{ref:user::id:<user_id>
 - [GET /v2/feed/posts/{content_id}/comments/{comment_id}/replies](https://developers.firstup.io/endpoints/openapi/feeds/listfeedpostcommentreplies.md): List the replies to a comment on a content post. Upon enabling expanded reactions types, the response will include the additional reaction types. <br><br>When a comment with user mentions is returned,
 - [POST /v2/feed/posts/{content_id}/comments/{comment_id}/{post_number}/replies](https://developers.firstup.io/endpoints/openapi/feeds/createfeedpostcommentreply.md): Upon enabling expanded reactions types, the response will include the additional reaction types. <br><br>When a comment with user mentions is returned, it will be returned with those mentions in the f
 - [PUT /v2/feed/posts/{content_id}/comments/{comment_id}/report](https://developers.firstup.io/endpoints/openapi/feeds/reportfeedpostcomment.md): Creates a Report for a specific comment (or reply) to a post for a scoped user. The comment must be visible to the user or a 404 Not Found response will be returned; for example, this would happen if
 - [GET /v2/feed/users/suggest](https://developers.firstup.io/endpoints/openapi/feeds/suggestuser.md): Query for users that are able to be mentioned.
 - [PUT /v2/feed/posts/{content_id}/comments/{comment_id}](https://developers.firstup.io/endpoints/openapi/feeds/updatefeedpostcomment.md): Update an existing comment record. The body attribute can be provided and only those provided will be updated. <br><br> Response body data will be the updated record. Upon enabling expanded reactions
 - [DELETE /v2/feed/posts/{content_id}/comments/{comment_id}](https://developers.firstup.io/endpoints/openapi/feeds/deletefeedpostcomment.md): Allows an authenticated user to delete a comment or reply they authored. The comment is soft deleted and will no longer appear in feed views.
 - [GET /v2/feed/posts/{content_id}/rendered](https://developers.firstup.io/endpoints/openapi/feeds/renderfeedpost.md): Provides the rendered content for a single post in a user’s feed. The post must be visible to the user or a 404 Not Found response will be returned.
 - [PUT /v2/feed/posts/{content_id}/report](https://developers.firstup.io/endpoints/openapi/feeds/reportfeedpost.md): Creates a Report for a specific feed post for a scoped user. The post must be visible to the user or a 404 Not Found response will be returned; for example, this would happen if the content is publish
 - [POST /v2/feed/posts/{content_id}/acknowledge](https://developers.firstup.io/endpoints/openapi/feeds/acknowledgefeedpost.md): Acknowledges a feed post for a scoped user. The post must be visible to the user or a 404 Not Found response will be returned; for example, if the content is published to a targeted channel that does
 - [GET /v2/feed/polls/{poll_id}](https://developers.firstup.io/endpoints/openapi/feeds/showfeedpoll.md): Provides data for a single poll.
 - [POST /v2/feed/polls/{poll_id}](https://developers.firstup.io/endpoints/openapi/feeds/respondfeedpoll.md): Respond to a poll.
 - [GET /v2/feed/polls](https://developers.firstup.io/endpoints/openapi/feeds/listfeedpolls.md): Provides a list of polls in the user's feed.
 - [GET /v2/feed/video/{video_id}](https://developers.firstup.io/endpoints/openapi/feeds/showfeedvideo.md): Experimental internal API
 - [GET /v2/feed/attachments/{uuid}/status](https://developers.firstup.io/endpoints/openapi/feeds/getattachmentstatus.md): Experimental internal API
 - [GET /v2/feed/attachments/{uuid}/redirect](https://developers.firstup.io/endpoints/openapi/feeds/getattachmentredirect.md): Experimental internal API. Mints a fresh signed S3 URL on every request and 302s to it. Returns 410 with a friendly HTML page when the attachment isn't safe.
## User Management

 - [GET /scim/v2/Schemas](https://developers.firstup.io/endpoints/openapi/user-management/listschemas.md): Returns a list of the schemas in use by this SCIM API. Implements <a href="https://tools.ietf.org/html/rfc7643#section-7">SCIM 2.0 Specification</a>.
 - [GET /scim/v2/Schemas/{schema_id}](https://developers.firstup.io/endpoints/openapi/user-management/detailschema.md): Returns the specified schema used by this SCIM API. Implements <a href="https://tools.ietf.org/html/rfc7643#section-7">SCIM 2.0 specification</a>.
 - [GET /scim/v2/ServiceProviderConfig](https://developers.firstup.io/endpoints/openapi/user-management/detailserviceproviderconfig.md): Returns the Schema Provider configuration as per <a href="https://tools.ietf.org/html/rfc7643#section-5">SCIM 2.0 Specification</a>. Additional references: <ul> <li><a href="https://tools.ietf.org/htm
 - [GET /scim/v2/ResourceTypes](https://developers.firstup.io/endpoints/openapi/user-management/listresourcetypes.md): Returns available Resource Types configuration as per <a href="https://tools.ietf.org/html/rfc7643#section-5">SCIM 2.0 Specification</a>. Additional references: <ul> <li><a href="https://tools.ietf.or
 - [GET /scim/v2/ResourceTypes/{resource_id}](https://developers.firstup.io/endpoints/openapi/user-management/detailresourcetype.md): Returns the requested Resource Type <a href="https://tools.ietf.org/html/rfc7643#section-5">SCIM 2.0 Specification</a>. Additional references: <ul> <li><a href="https://tools.ietf.org/html/rfc7644#sec
 - [GET /scim/v2/Users](https://developers.firstup.io/endpoints/openapi/user-management/listusers.md): This endpoint allows you to retrieve information about all or some of the users stored in the Firstup application and adheres to the [SCIM 2.0 Section: 4.1](https://datatracker.ietf.org/doc/html/rfc76
 - [POST /scim/v2/Users](https://developers.firstup.io/endpoints/openapi/user-management/createuser.md): Create and provision a new user. The request should include any properties to be set on the user, and leaving any out will leave those values blank, or will use defaults. <br><br> New users have a rol
 - [GET /scim/v2/Users/{user_id}](https://developers.firstup.io/endpoints/openapi/user-management/detailuser.md): Returns a User record for specified user in the program.
 - [PUT /scim/v2/Users/{user_id}](https://developers.firstup.io/endpoints/openapi/user-management/replaceuser.md): To update or replace user information, ensure that your request includes a comprehensive set of user attributes. Utilize **PUT** endpoints carefully. Modified data models caused by new features or use
 - [PATCH /scim/v2/Users/{user_id}](https://developers.firstup.io/endpoints/openapi/user-management/patchuser.md): Update a user in the program with partial changes using <a href="https://tools.ietf.org/html/rfc7644#section-3.5.2">SCIM PatchOp</a>. Add, remove, or replace selected fields of the user. Role updates
 - [DELETE /scim/v2/Users/{user_id}](https://developers.firstup.io/endpoints/openapi/user-management/deleteuser.md): Permanently remove a User and their details from all Programs. A non-existent user, or a user that's already been forgotten, will return a 204.
 - [GET /scim/v2/Users/me](https://developers.firstup.io/endpoints/openapi/user-management/me.md): Returns a User record for specified user in the program. This endpoint requires <a href="https://developers.firstup.io/authorization/authentication-methods#jwt-bearer-token-grant"> authentication</a>
 - [POST /v2/Users/{user_id}/forget](https://developers.firstup.io/endpoints/openapi/user-management/forgetuser.md): Permanently remove a User and their details from all Programs. A non-existent user, or a user that's already been forgotten, will return a 202.
## User Groups

 - [GET /scim/v2/Groups](https://developers.firstup.io/endpoints/openapi/user-groups/listgroups.md): Returns a list of all accessible Groups in the acting User's Program.
 - [POST /scim/v2/Groups](https://developers.firstup.io/endpoints/openapi/user-groups/creategroup.md): Creates and provisions a new Group of Users. The request should include any properties to be set on the Group. Any property not provided would leave the value blank or use defaults. The list of member
 - [GET /scim/v2/Groups/{group_id}](https://developers.firstup.io/endpoints/openapi/user-groups/detailgroup.md): Returns the group specified by the `group_id`. Groups are defined by the [SCIM specification](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2).
 - [PATCH /scim/v2/Groups/{group_id}](https://developers.firstup.io/endpoints/openapi/user-groups/patchgroup.md): Update an audience in the Program with partial changes using [SCIM PatchOp](https://tools.ietf.org/html/rfc7644#section-3.5.2). Add or remove selected fields of the audience. The list of members in th
 - [DELETE /scim/v2/Groups/{group_id}](https://developers.firstup.io/endpoints/openapi/user-groups/deletegroup.md): Delete an audience in the Program
 - [PUT /scim/v2/Groups/{group_id}](https://developers.firstup.io/endpoints/openapi/user-groups/updategroup.md): Updates and provisions an existing Group of Users. The request should include any properties to be set on the Group. Any property not provided would leave the value blank or use defaults. The list of
 - [GET /v2/Groups/JobReport/{jobId}](https://developers.firstup.io/endpoints/openapi/user-groups/groupasyncjobreport.md): The calls to the POST, PUT or PATCH `Groups Managements` endpoints trigger a series of asynchronous jobs to create or update the list of the Group's members. As these tasks are asynchronous, those API
## Webhooks

 - [GET /v2/webhooks/subscriptions](https://developers.firstup.io/endpoints/openapi/webhooks/listwebhooksubscriptions.md): <p>Fetchs multiple subscription records at a time, and can be paginated using cursor pagination. </p>
 - [POST /v2/webhooks/subscriptions](https://developers.firstup.io/endpoints/openapi/webhooks/createwebhooksubscription.md): <p>Subscriptions are configurations that define what events you want to receive webhooks for. A url and at least one event are required for a subscription. If your server requires authorization, the <
 - [PUT /v2/webhooks/subscriptions/{subscription_id}](https://developers.firstup.io/endpoints/openapi/webhooks/updatewebhooksubscription.md): <p>After creation, subscriptions can be updated to change what events are subscribed to, what url to send the payloads to, and other settings such as whether the subscription is active. Any values tha
 - [DELETE /v2/webhooks/subscriptions/{subscription_id}](https://developers.firstup.io/endpoints/openapi/webhooks/deletewebhooksubscription.md): Deactivate a webhook subscription and remove the record permanently. **Warning**: you cannot undo this action.
 - [GET /v2/webhooks/subscriptions/{subscription_id}](https://developers.firstup.io/endpoints/openapi/webhooks/detailwebhooksubscription.md)
 - [POST /v2/webhooks/subscriptions/{subscription_id}/ping](https://developers.firstup.io/endpoints/openapi/webhooks/pingwebhooksubscription.md): More information about testing webhook subscriptions is available on the <a href="/webhooks/webhooks-overview#test-a-webook">Testing Webhook Subscriptions</a> page.
## Assistant Inbox

 - [GET /v2/assistant/inbox_items](https://developers.firstup.io/endpoints/openapi/assistant-inbox/listinboxitems.md): <p>Fetches multiple inbox item records at a time.</p>
 - [GET /v2/assistant/todos](https://developers.firstup.io/endpoints/openapi/assistant-inbox/listassistanttodos.md): <p>Fetches multiple Todo records at a time. </p>
 - [GET /v2/assistant/notifications](https://developers.firstup.io/endpoints/openapi/assistant-inbox/listnotifications.md): <p>Fetches multiple inbox notification records at a time. </p>
 - [PUT /v2/assistant/notifications/{notification_id}/acknowledge](https://developers.firstup.io/endpoints/openapi/assistant-inbox/acknowledgenotification.md): <p>Mark the program user's notification acknowledged.</p>
 - [PUT /v2/assistant/notifications/acknowledge_all](https://developers.firstup.io/endpoints/openapi/assistant-inbox/acknowledgeallnotifications.md): <p>Mark all program user's notifications acknowledged.</p>
 - [GET /v2/assistant/inbox_items/total_count](https://developers.firstup.io/endpoints/openapi/assistant-inbox/getinboxitemstotalcount.md): <p>Fetches the count of notifications for the user.</p>
## Notification Center

 - [GET /v2/notification_center/notifications](https://developers.firstup.io/endpoints/openapi/notification-center/listnotifications.md): <p>Fetches multiple inbox notification records at a time. </p>
 - [PUT /v2/notification_center/notifications/{notification_id}/read](https://developers.firstup.io/endpoints/openapi/notification-center/readnotification.md): <p>Mark the program user's notification read.</p>
 - [GET /v2/notification_center/total_count](https://developers.firstup.io/endpoints/openapi/notification-center/getnotificationstotalcount.md): <p>Fetches the count of notifications for the user.</p>
## User Roles

 - [GET /scim/v2/Roles](https://developers.firstup.io/endpoints/openapi/user-roles/listroles.md): Returns a list of all accessible roles in the actor's program. Only primary roles are currently available.
## Data Exports

 - [GET /v2/data_exports/type/{type_name}/latest](https://developers.firstup.io/endpoints/openapi/data-exports/latestexport.md): <p>Returns metadata and a presigned download URL for the most recent export file of the specified type within the caller's program.</p> <p>Valid type names: <code>users</code>, <code>campaigns</code>,
 - [GET /v2/data_exports/type/{type_name}](https://developers.firstup.io/endpoints/openapi/data-exports/listexports.md): <p>Returns a list of all export files for the specified type within the caller's program. Each file entry includes an opaque file ID that can be used with the show endpoint to obtain a presigned downl
 - [GET /v2/data_exports/type/{type_name}/files/{file_id}](https://developers.firstup.io/endpoints/openapi/data-exports/showexport.md): <p>Returns metadata and a presigned download URL for a specific export file identified by its file ID. The file ID is obtained from the list exports endpoint.</p>
## Feed Channel Posts

 - [GET /v2/feed/channels/posts](https://developers.firstup.io/endpoints/openapi/feed-channel-posts/listfeedchannelposts.md): Provides a list of posts in the user’s channels feeds. Accepts pagination and filtering parameters. Upon enabling expanded reactions types, the response will include the additional reaction types.<br>
## User Shortcuts

 - [GET /v2/shortcuts](https://developers.firstup.io/endpoints/openapi/user-shortcuts/listshortcuts.md): <p>Fetch the program user's shortcuts.</p>
